game = {}

local bx = 0
local by = 0
local speed = 20

score = 0
combo = 0
local score_dis = 0

function game:init()
	field.init()
	timebar.init()
end

function game:update(dt)
	if score_dis ~= score then
		score_dis = score_dis + 1
	end
	local left	= love.keyboard.isDown("left")
	local right	= love.keyboard.isDown("right")
	if left then
		bx = bx + (speed*dt)
	end
	if right then
		bx = bx - (speed*dt)
	end
	if bx > 0 then bx = 0 end
	if bx < -30 then bx = -30 end
	field.update(dt)
	ents:update(dt)
	timebar:update(dt)
	if timebar:getTime() <= 0 then
		Venus.switch(results)
	end
end

function game:draw()
	love.graphics.draw(bg, bx, by, 0, 1.1, 1.1, 0, 0 )
	love.graphics.setFont(numFont)
	love.graphics.printf(score_dis,362, 0, 1000, "right")
	love.graphics.printf(combo .. "x",1, 719, 1000, "left")
	timebar.draw()
	--field.showBounds()
	ents:draw()
end

function game:enter()
	TEsound.play("assets/sounds/stream.mp3", "bgm")
	Timer.after(3, function() 
		timebar.start() 
		ents.Create( "object", math.random(field.x1+16,field.x2-16), -100 )
		local stage_1 = Timer.every(0.05, function() ents.Create( "object", math.random(field.x1+16,field.x2-16), -100 ) end)
		Timer.after(24, function() 
			Timer.cancel(stage_1)
			stage_2 = Timer.every(0.1, function() ents.Create( "object", math.random(field.x1+16,field.x2-16), -100 ) end)
		end)
		Timer.after(48, function()
			Timer.cancel(stage_2)
			stage_3 = Timer.every(0.3, function() ents.Create( "object", math.random(field.x1+16,field.x2-16), -100 ) end)
		end)
		Timer.after(60, function()
			Timer.cancel(stage_3)
			stage_4 = Timer.every(0.1, function() ents.Create( "object", math.random(field.x1+16,field.x2-16), -100 ) end)
		end)
		Timer.after(96, function()
			Timer.cancel(stage_4)
		end)
		ents.Create( "player", field.x1*2+48, field.y2 )
	end)
end

function game:leave()
	timebar:setTime(102)
	ents.objects = {}
	timebar.stop()
end