menu = {}

function menu:init()
	cookie = { 
		image = love.graphics.newImage( "assets/images/cookie.png" ), 
		r = 0,
		x = 1366/2,
		y = 768/2
	}
	logo = love.graphics.newImage( "assets/images/catch.png" )
	local into, outo, trans
	into = function()
		Timer.tween(2, cookie, {r = 2.1}, "out-elastic", outo)
	end
	outo = function()
		Timer.tween(2, cookie, {r = 0}, "out-elastic", trans)
	end
	trans = function() 
		Timer.after(2, into())
	end
	Timer.after(2, into())
end

function menu:update(dt)
end

function menu:draw()
	love.graphics.draw(bg, 0, 0, 0, 1.1, 1.1, 0, 0 )
	love.graphics.draw(cookie.image, 1366/2, 768/2, cookie.r, 1, 1, 300, 300 )
	love.graphics.draw(logo, 1366/2, 768/2, 0, 1, 1, 300, 300 )
end

function menu:keypressed(key)
	if key == "escape" then
		love.quit()
	end
	if key == "return" then
		Venus.switch(game)
	end
end

function menu:enter()
	TEsound.playLooping("assets/sounds/welcome to osu.mp3", "bgm")
end

function menu:leave()
	TEsound.stop("bgm")
end